# Services.TaggingRules

## Overview

### Available Operations

* [get](#get) - Get Tagging Rules
* [create\_or\_update](#create_or_update) - Create or Update Tagging Rules

## get

Get Tagging Rules

### Example Usage

```python
from squadcast import SquadcastSDK


with SquadcastSDK(
    refresh_token_auth="<YOUR_REFRESH_TOKEN_AUTH_HERE>",
) as squadcast_sdk:

    res = squadcast_sdk.services.tagging_rules.get(service_id="<id>")

    # Handle response
    print(res)

```

### Parameters

| Parameter    | Type                                                                          | Required             | Description                                                         |
| ------------ | ----------------------------------------------------------------------------- | -------------------- | ------------------------------------------------------------------- |
| `service_id` | *str*                                                                         | :heavy\_check\_mark: | N/A                                                                 |
| `retries`    | [Optional\[utils.RetryConfig\]](/python-sdk/docs/models/utils/retryconfig.md) | :heavy\_minus\_sign: | Configuration to override the default retry behavior of the client. |

### Response

[**models.TaggingRulesGetTaggingRulesResponse**](/python-sdk/docs/models/taggingrulesgettaggingrulesresponse.md)

### Errors

| Error Type                      | Status Code | Content Type     |
| ------------------------------- | ----------- | ---------------- |
| errors.BadRequestError          | 400         | application/json |
| errors.UnauthorizedError        | 401         | application/json |
| errors.PaymentRequiredError     | 402         | application/json |
| errors.ForbiddenError           | 403         | application/json |
| errors.NotFoundError            | 404         | application/json |
| errors.ConflictError            | 409         | application/json |
| errors.UnprocessableEntityError | 422         | application/json |
| errors.InternalServerError      | 500         | application/json |
| errors.BadGatewayError          | 502         | application/json |
| errors.ServiceUnavailableError  | 503         | application/json |
| errors.GatewayTimeoutError      | 504         | application/json |
| errors.SDKDefaultError          | 4XX, 5XX    | \*/\*            |

## create\_or\_update

Create or Update Tagging Rules

### Example Usage

```python
from squadcast import SquadcastSDK


with SquadcastSDK(
    refresh_token_auth="<YOUR_REFRESH_TOKEN_AUTH_HERE>",
) as squadcast_sdk:

    res = squadcast_sdk.services.tagging_rules.create_or_update(service_id="<id>", rules=[
        {},
    ])

    # Handle response
    print(res)

```

### Parameters

| Parameter    | Type                                                                                                    | Required             | Description                                                         |
| ------------ | ------------------------------------------------------------------------------------------------------- | -------------------- | ------------------------------------------------------------------- |
| `service_id` | *str*                                                                                                   | :heavy\_check\_mark: | N/A                                                                 |
| `rules`      | List\[[models.V3ServicesTaggingRulesTagRule](/python-sdk/docs/models/v3servicestaggingrulestagrule.md)] | :heavy\_check\_mark: | N/A                                                                 |
| `retries`    | [Optional\[utils.RetryConfig\]](/python-sdk/docs/models/utils/retryconfig.md)                           | :heavy\_minus\_sign: | Configuration to override the default retry behavior of the client. |

### Response

[**models.TaggingRulesCreateOrUpdateTaggingRulesResponse**](/python-sdk/docs/models/taggingrulescreateorupdatetaggingrulesresponse.md)

### Errors

| Error Type                      | Status Code | Content Type     |
| ------------------------------- | ----------- | ---------------- |
| errors.BadRequestError          | 400         | application/json |
| errors.UnauthorizedError        | 401         | application/json |
| errors.PaymentRequiredError     | 402         | application/json |
| errors.ForbiddenError           | 403         | application/json |
| errors.NotFoundError            | 404         | application/json |
| errors.ConflictError            | 409         | application/json |
| errors.UnprocessableEntityError | 422         | application/json |
| errors.InternalServerError      | 500         | application/json |
| errors.BadGatewayError          | 502         | application/json |
| errors.ServiceUnavailableError  | 503         | application/json |
| errors.GatewayTimeoutError      | 504         | application/json |
| errors.SDKDefaultError          | 4XX, 5XX    | \*/\*            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/sdks/taggingrules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
